import { OnInit } from '@angular/core';
import { Title } from '@angular/platform-browser';
import { ToolBarHeaderSettings } from '../../@interfaces/eagna.interface';
import { EagnaListener } from '../../@services/eagna.service';
import * as i0 from "@angular/core";
export declare class HeaderComponent implements OnInit {
    private _eagnaListner;
    private _h;
    constructor(_eagnaListner: EagnaListener, _h: Title);
    settings: ToolBarHeaderSettings;
    ngOnInit(): void;
    toggleNotification(): void;
    toggleContacts(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeaderComponent, "eagna-header", never, { "settings": "settings"; }, {}, never, ["*"], false>;
}
